package cn.com.ctop.toutiao.service;

import cn.com.ctop.toutiao.entity.ByteDanceCreative;
import com.alibaba.fastjson.JSONObject;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.Map;

/**
 * @Description: 今日头条创意信息
 * @Author: jeecg-boot
 * @Date: 2019-07-22
 * @Version: V1.0
 */
public interface IByteDanceCreativeService extends IService<ByteDanceCreative> {

    Map<String, Object> creativeCreate(String accountId, Long campaignId, String dataString);

    Map<String, Object> insertBatch(JSONObject template);

    JSONObject createCreative(JSONObject data, String token);

    Map<String, Object> getAdvertiserCreative(String accountId, String ids, String date);

    Map<String, Object> advertiserCreativeUpdateStatus(String accountId, String creativeIds, String optStatus);
}
